POST api/rfidreadertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RfidReaderTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | integer |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"description": "sample string 3",
"id": "2ba00476-640d-4a23-b9d6-102d0731f570",
"type": "sample string 5"
}
application/xml, text/xml
Sample:
<rfid_reader_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <description>sample string 3</description> <id>2ba00476-640d-4a23-b9d6-102d0731f570</id> <type>sample string 5</type> </rfid_reader_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"abd7293b-83e0-4442-adab-c68e2b483e8c"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">abd7293b-83e0-4442-adab-c68e2b483e8c</guid>